org.apache.pdfbox.cos

## Class COSInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - org.apache.pdfbox.cos.COSInputStream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class COSInputStream
    extends FilterInputStream

An InputStream which reads from an encoded COS stream.

Author:
  John Hewson

### Field Summary

### Fields inherited from class java.io.FilterInputStream

`in`

### Method Summary

All Methods Instance Methods Concrete Methods
`DecodeResult` `getDecodeResult()` Returns the result of the last filter, for use by repair mechanisms.

### Methods inherited from class java.io.FilterInputStream

`available, close, mark, markSupported, read, read, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getDecodeResult

    public DecodeResult getDecodeResult()

Returns the result of the last filter, for use by repair mechanisms.

Returns:
  the result of the last filter